package de.rcr1.brain;

/**
 * Represents a proxy command.
 * 
 * @author Philipp Hergert
 */
public class Packet
{
    /** Command-Opcode of Packet. */
    private int command;
  
    /** Data values. */
    private int value;
    
    /**
     * Standard ctor.
     * Creates a packet with given values.
     * 
     * @param c opcode.
     * @param v value.
    */
    Packet(int c, int v)
    {
        command = c;
        value = v;
    }
    
    /**
     * Returns the packetvalue.
     * @return value.
     */  
    int getValue()
    {
        return value;
    }
 
    /**
     * Returns The Opcode.
     * 
     * @return opcode.
     */
    int getCommand()
    {
        return command;
    }
}
